slepc-3.21.1 2024-04-26
Report Typos and Errors

# VecDuplicateEmpty

Creates a new vector of the same type as an existing vector, but without internal array.

### Synopsis

    #include "slepcvec.h"
    PetscErrorCode VecDuplicateEmpty(Vec v,Vec *newv)

Collective

### Input Parameters

| v | - a vector to mimic

### Output Parameter

| newv | - location to put new vector

### Note

This is similar to VecDuplicate(), but the new vector does not have an internal array, so the intended usage is with VecPlaceArray().

### See Also

MatCreateVecsEmpty()

### Level

developer

### Location

src/sys/vec/vecutil.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages